HKL_Container = {};

function HKL_Container.prerequisitesPresent(specializations)
    return true;
end;

function HKL_Container:load(xmlFile)
	self.isHakenliftObject = true;
end;

function HKL_Container:delete()
end;

function HKL_Container:readStream(streamId, connection)	
end;

function HKL_Container:writeStream(streamId, connection)
end;

function HKL_Container:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HKL_Container:keyEvent(unicode, sym, modifier, isDown)
end;

function HKL_Container:update(dt)
	if self.attacherVehicle ~= nil and self.attacherVehicle.isHakenliftTrailer then
		self.tipReferencePoint = self.attacherVehicle.tipReferencePoint;
	end;
	if self.attacherVehicle ~= nil and self.attacherVehicle:getIsActiveForInput() and self.attacherVehicle.isHakenliftTrailer and self.attacherVehicle.selectedImplement == 0 then
		if self.isClient then
            if self.currentFillType ~= Fillable.FILLTYPE_UNKNOWN then
                local fruitType = FruitUtil.fillTypeToFruitType[self.currentFillType];
                if fruitType ~= nil then
					g_currentMission:setFruitOverlayFruitType(fruitType);
				end;
            end;
        end;
	end;
end;

function HKL_Container:updateTick(dt)
end;

function HKL_Container:draw()
	
end;

function HKL_Container:onAttach(attacherVehicle)
end;

function HKL_Container:onDetach()
	self.tipReferencePoint = nil;
end;